/**
 * GW Blueprint - Main Stylesheet
 * 
 * This file contains base styles and utilities for the theme
 */

/* CSS Variables for easy customization */
/* Reset and Base Styles */
:root{
	--header-height: 80px;
}
* {
	box-sizing: border-box;
}

html {
	font-size: 16px;
	line-height: 1.5;
}

body {
	margin: 0;
	padding: 0;
}

/* Typography */
ul:empty,
ol:empty,
li:empty,
p:empty{
	display: none;
}
img{
	max-width: 100%;
	border:none;
	outline:none;
}

input,
select,
textarea,
button{
	outline: none;
}
::-webkit-scrollbar {
	width: 5px;
}
::-webkit-scrollbar-track {
	background: rgba(0, 0, 0, 0.1);
}
::-webkit-scrollbar-thumb {
	background: rgba(0, 0, 0, 0.2);
}
i[class^="fi-rr-"]{
	display: flex;
	aspect-ratio: 1/1;
}
.gw-icon-wrapper{
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: calc(var(--w, 40) * 1px);
	height: calc(var(--w, 40) * 1px);
	background-color: var(--background-color);
	border-radius: calc(var(--br, 99) * 1px);
	color: var(--text-color);
	font-size: calc(var(--is, 20) * 1px);
}
.w-100{
	width: 100%;
}
/* Button Styles */
.wp-element-button,
.wp-block-button__link,
.button{
	--btnColor: var(--wp--preset--color--neutral-500);
	--btnColorHover: color-mix(in srgb, var(--btnColor) 85%, #000000);
	--btnTextColor: var(--wp--preset--color--neutral-white);
	--btnTextColorHover: var(--wp--preset--color--neutral-white);
	background: var(--btnColor);
	color: var(--btnTextColor);

	position: relative;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap:10px;
	cursor: pointer;
	transition: all 0.3s;

	&:hover{
		background: var(--btnColorHover);
		color: var(--btnTextColorHover);
	}
}

.is-style-secondary-fill .wp-element-button,
.is-style-secondary-outline .wp-element-button{
	--btnColor: var(--wp--preset--color--custom-color-600);
	--btnColorHover: color-mix(in srgb, var(--btnColor) 85%, #000000);
	--btnTextColor: var(--wp--preset--color--neutral-white);
}

.is-style-outline .wp-element-button,
.is-style-secondary-outline .wp-element-button{
	background: none;
	border: 1px solid var(--btnColor);
	color: var(--btnColor);

	&:hover{
		background: var(--btnColor);
		color: var(--btnTextColor);
	}
}

/*** HEADINGS ***/
.is-style-section_title{
	font-size: 48px;
	line-height: 110%;
	text-transform: uppercase;
	font-weight: 800;
}
h1.is-style-section_title{
	font-size: 60px;
}
.is-style-section_subtitle{
	font-size: var(--wp--preset--font-size--xl);
	font-weight: normal;
	line-height: 130%;
	letter-spacing: 2px;
}

/*** GRAVITY FORMS ***/
.gform_description:empty,
.gform_heading{
	display: none !important;
}
.form_wrapper .gform_wrapper.gravity-theme input[type=text],
.form_wrapper .gform_wrapper.gravity-theme input[type=email],
.form_wrapper .gform_wrapper.gravity-theme input[type=password],
.form_wrapper .gform_wrapper.gravity-theme input[type=tel],
.form_wrapper .gform_wrapper.gravity-theme input[type=number],
.form_wrapper .gform_wrapper.gravity-theme select,
.form_wrapper .gform_wrapper.gravity-theme textarea{
	border-radius: 8px;
	height: 50px;
	border:1px solid var(--wp--preset--color--neutral-200);
}
.form_wrapper .gform_wrapper.gravity-theme .gfield_label{
	display: block;
	font-size: var(--wp--preset--font-size--md);
	font-weight: 400;
	margin-bottom: 10px;
	font-weight: normal;
}
.form_wrapper .gform_wrapper.gravity-theme .gform_fields {
	grid-row-gap: var(--wp--preset--spacing--ml);
}
.form_wrapper .gform_footer{
	justify-content: center;
}
.form_wrapper .button{
	padding: 15px 35px;
    border: none;
    border-radius: 5px;
    font-size: 15px;
	margin:0;
	text-transform: uppercase;
}


/*** HEADER ***/
header.wp-block-template-part{
	position: relative;
	z-index: 99;
}
#header_wrapper{
	position: relative;
	height: var(--header-height);
	margin-bottom: -80px !important;
}
#header_main{
	position: absolute;
	top:0;
	left:0;
	width: 100%;
	height: calc(var(--header-height) - 1px);
	background-color: rgba(255, 255, 255, 0.5);
	backdrop-filter: blur(10px);
}
.float_active #header_main{
	position: fixed;
	box-shadow: 0 5px 5px -5px rgba(0, 0, 0, 0.2);
}
.admin-bar.float_active #header_main{
	top:32px;
}
#header_icon{
	width: 40px;
}

/*** HEADER MENU ***/
#header_menu{
    list-style: none;
    padding: 0;
    margin: 0;
    gap: var(--wp--preset--spacing--m);
}
#header_menu li{
	position: relative;
}
#header_menu > li >a{
	display: inline-flex;
	align-items: center;
	justify-content: center;
	padding: 10px 0;
	gap: 5px;
    text-decoration: none;
    color: currentColor;
    transition: all 0.3s;
}
#header_menu a:hover,
.current_page_item{
    color: var(--wp--preset--color--custom-color-500);
}
#header_menu .sub-menu{
	position: absolute;
	top: 100%;
	right: 0;
	width: 180px;
	background: var(--wp--preset--color--neutral-white);
	color: #000;
	padding:10px 15px;
	list-style: none;
	display: flex;
	flex-direction: column;
	gap: 5px;
	list-style: none;
	border: 1px solid var(--wp--preset--color--neutral-200);
	border-radius: 8px;
	box-shadow: 0 5px 5px -5px rgba(0, 0, 0, 0.2);
	transform: translateY(10px);
	opacity: 0;
	visibility: hidden;
	transition: all 0.3s;
}
#header_menu > li:hover .sub-menu{
	transform: translateY(0);
	opacity: 1;
	visibility: visible;
}
#header_menu .sub-menu li{
	margin: 0;
}
#header_menu .sub-menu a{
	display: inline-flex;
	align-items: center;
	justify-content: space-between;
	gap: 5px;
	text-decoration: none;
    color: currentColor;
}

/*** MOBILE MENU COMPONENT ***/
#menu_trigger{
	position: relative;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	cursor: pointer;
}
#menu_trigger::after{
	content: '';
	position: absolute;
	top:calc(50% - 1px);
	left: calc(50% - 12.5px);
	width: 25px;
	height: 2px;
	background:currentColor;
	transition:all 0.5s;
}
.menu_open #menu_trigger::after{
	transform: translateX(100%);
	opacity: 0;
}
#menu_trigger i{
	position: relative;
	display: block;
	width: 25px;
	height: 16px;
}
#menu_trigger i::before{
	content: '';
	position: absolute;
	top:0;
	left: 0;
	width: 100%;
	height: 2px;
	background:currentColor;
	transition:all 0.5s;
}
.menu_open #menu_trigger i::before{
	transform: translate(0px, 5px) rotate(45deg);
}
#menu_trigger i::after{
	content: '';
	position: absolute;
	bottom:0;
	left: 0;
	width: 100%;
	height: 2px;
	background:currentColor;
	transition:all 0.5s;
}
.menu_open #menu_trigger i::after{
	transform: translate(0px, -9px) rotate(-45deg);
}

#mobile_menu_container{
	position: absolute;
	display: flex;
	flex-direction: column;
	gap: var(--wp--preset--spacing--s);
	top: 100%;
	left: 0;
	width: 100%;
	border-top: 1px solid var(--wp--preset--color--neutral-200);
	background: var(--wp--preset--color--neutral-white);
	color: var(--wp--preset--color--neutral-500);
	padding: 0;
	clip-path: inset(0 0 100% 0);
	transition: all 0.3s;
}
.menu_open #mobile_menu_container{
	clip-path: inset(0 0 0 0);
}
#header_menu_mobile{
	list-style: none;
	padding:15px 0;
	margin: 0;
	display: flex;
	flex-direction: column;
}
#header_menu_mobile a{
	text-decoration: none;
	color: currentColor;
}

#header_menu_mobile > li > *{
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 5px;
	padding: 5px 15px 5px 20px;
	font-size: 18px;
}

.submenu_trigger{
	display: inline-block;
	width: 25px;
	height: 25px;
	cursor: pointer;
	background-image: url('data:image/svg+xml;utf8,<svg height="512" viewBox="0 0 24 24" width="512" xmlns="http://www.w3.org/2000/svg"><g><path d="m12 16a1 1 0 0 1 -.71-.29l-6-6a1 1 0 0 1 1.42-1.42l5.29 5.3 5.29-5.29a1 1 0 0 1 1.41 1.41l-6 6a1 1 0 0 1 -.7.29z"></path></g></svg>');
	background-size: 20px;
	background-repeat: no-repeat;
	background-position: center;
	transition: all 0.3s;
}
.open .submenu_trigger{
	transform: rotate(180deg);
}
#header_menu_mobile .sub-menu{
	position: relative;
	display: none;
	list-style: none;
	padding:5px 0;
	margin: 0;
    font-size: 14px;
    background: rgba(0, 0, 0, 0.1);
}
#header_menu_mobile .sub-menu li a{
	display: block;
	padding: 5px 30px;
}

/*** FOOTER ***/
footer.wp-block-template-part{
	margin-top: 0;
}
.newsletter_form_wrapper{
    padding: 5px;
    border-radius: 7px;
    border: 1px solid var(--wp--preset--color--neutral-400);
    background: var(--wp--preset--color--neutral-white);
}
.newsletter_form_wrapper .gform_wrapper.gravity-theme input[type=email]{
	border: none;
	outline: none;
	padding: 10px;
	border-radius: 7px;
}
.newsletter_form_wrapper .gform-footer{
	display: none !important;
}
.newsletter_form_wrapper .gform-button{
	padding: 10px 24px;
    border: none;
    background: var(--wp--preset--color--custom-color-500);
    border-radius: 5px;
    font-size: 15px;
}


/*** COMPONENTS ***/
.dividir_type_1{
	width: 100%;
	margin-bottom:-1px;
	max-width: 100%;
	height: 65px;
	background: var(--color);
	clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}
.dividir_type_1.position_top{
	clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}
.dividir_type_1.position_bottom{
	clip-path: polygon(100% 0, 0% 100%, 100% 100%);
}

/*** PRICES BOX ***/
.prices_box{
	position: relative;
}
.discount_tag{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	transform: translateY(-50%);
}
.discount_tag + div{
	margin-top: 0;
}

/*** TESTIMONIALS CAROUSEL ***/
.testimonials_carousel .swiper-slide{
	padding:10px;
}
.testimonial_item{
	padding:24px;
	border-radius: 12px;
	background: var(--wp--preset--color--neutral-white);
	box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.10);
}
.testimonial_name{
	color: var(--wp--preset--color--neutral-500);
	font-family: var(--wp--preset--font-family--figtree);
	font-size: 16px;
	font-weight: 900;
	line-height: 110%;
	text-transform: uppercase;
}
.testimonial_content{
	overflow: hidden;
	color: var(--wp--preset--color--neutral-500);
	text-overflow: ellipsis;
	font-size: 14px;
	font-weight: 400;
	line-height: 24px;
	margin-top: 15px;
}
.testimonial_stars{
	display: inline-block;
	width: 70px;
	height: 12px;
	background-image: url(../images/testimonials_stars.svg);
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}

/*** PRODUCTS CAROUSEL ***/
.products_carouse_component{
	overflow: hidden;
	-webkit-mask-image: linear-gradient(
		to right,
		transparent 0%,
		white 10%,
		white 90%,
		transparent 100%
	);
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: 100% 100%;
	
	mask-image: linear-gradient(
		to right,
		transparent 0%,
		white 10%,
		white 90%,
		transparent 100%
	);
	mask-repeat: no-repeat;
	mask-size: 100% 100%;
}
.product_item{
	text-align: center;
	font-size: 12px;
	font-weight: 700;
	line-height: 130%;
}
.product_item img{
	margin: 0 auto;
}

/*** ADD TO CART BUTTON ***/
.add_to_cart_button{
	width: 100%;
	padding: 15px 20px;
}

.product_price_component{
	text-align: center;
	font-size: 26px;
	font-weight: 900;
	line-height: 130%;
	font-family: var(--wp--preset--font-family--figtree);

	.subscription-details{
		display: none;
	}
}

.method_box {
    width: 20%;
    min-width: 230px;
}


/*** MEDIA QUERIES ***/
@media (max-width: 1170px) {
}

@media (max-width: 992px) {
	:root {
		--header-height: 75px;
	}
	#header_main{
		margin-bottom: -75px !important;
	}
	.is-style-section_title,
	h1.is-style-section_title {
		font-size: 33px;
	}
	.newsletter_form_wrapper .gform-button{
		width: 100%;
	}
	.hero_subtitle{
		font-size: 18px !important;
	}
	.method_grid{
		flex-direction: column;
	}
}